using Microsoft.Extensions.Logging;
using CommunityToolkit.Maui;
using Model;
using StubLib;
using ViewModel;
using App.Pages;
using App.ViewModel;

namespace App;

public static class MauiProgram
{
	public static MauiApp CreateMauiApp()
	{
		var builder = MauiApp.CreateBuilder();
		builder
			.UseMauiApp<App>()
            .UseMauiCommunityToolkit()
            .ConfigureFonts(fonts =>
			{
				fonts.AddFont("OpenSans-Regular.ttf", "OpenSansRegular");
				fonts.AddFont("OpenSans-Semibold.ttf", "OpenSansSemibold");
			})
			.Services.AddSingleton<IDataManager, StubData>()
            .AddSingleton<ChampionListPageVM>()
            .AddSingleton<ChampionManagerVM>()
            .AddSingleton<ChampionsListPage>();			

#if DEBUG
		builder.Logging.AddDebug();
#endif

		return builder.Build();
	}
}

